public static interface AhcEndpointBuilderFactory.AhcBuilders
| Modifier and Type | Method and Description |
|---|---|
default AhcEndpointBuilderFactory.AhcEndpointBuilder |
ahc(String path)
Async HTTP Client (AHC) (camel-ahc)
Call external HTTP services using Async Http Client.
|
default AhcEndpointBuilderFactory.AhcEndpointBuilder |
ahc(String componentName,
String path)
Async HTTP Client (AHC) (camel-ahc)
Call external HTTP services using Async Http Client.
|
default AhcEndpointBuilderFactory.AhcEndpointBuilder ahc(String path)
ahc:httpUri
Path parameter: httpUri (required)
The URI to use such as http://hostname:port/pathpath - httpUridefault AhcEndpointBuilderFactory.AhcEndpointBuilder ahc(String componentName, String path)
ahc:httpUri
Path parameter: httpUri (required)
The URI to use such as http://hostname:port/pathcomponentName - to use a custom component name for the endpoint
instead of the default namepath - httpUriApache Camel